%define name SDL_ttf
%define version 2.0.4
%define release 1mdk
%define lib_name_orig libSDL_ttf
%define lib_major 2.0
%define lib_name %{lib_name_orig}%{lib_major}

Summary: Simple DirectMedia Layer - Sample TrueType Font Library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.libsdl.org/projects/SDL_ttf/release/%{name}-%{version}.tar.bz2
License: LGPL
Group: System/Libraries
BuildRequires: libSDL1.2-devel XFree86-devel libaudiofile0-devel libesound0-devel freetype-devel
BuildRequires: freetype2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.libsdl.org/projects/SDL_ttf/
Prefix: %{_prefix}

%description
This is a sample library which allows you to use TrueType fonts in your SDL
applications. It comes with an example program "showfont" which displays an
example string for a given TrueType font file.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries
Obsoletes: %{name}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use %{name}
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Obsoletes: %{name}-devel

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

Warning! TrueType font decoding is under patent, and software using this
library may be in violation of this patent. Use at your own risk! See
http://www.freetype.org/ for details.

%package -n %{lib_name}-test
Summary: Test binary for %{name}
Group: System/Libraries

%description -n %{lib_name}-test
This package contains binary to test the associated library.

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}-test
%defattr(-,root,root)
%{_bindir}/showfont
%{_bindir}/glfont

%files -n %{lib_name}
%defattr(-,root,root)
%doc README COPYING
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README COPYING CHANGES
%{_libdir}/*a
%{_libdir}/lib*.so
%{_includedir}/SDL/*

%changelog
* Mon Jan 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.4-1mdk
- updated to release 2.0.4.
- added freetype2-devel in BuildRequires.

* Tue May 29 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-3mdk
- fix BuildRequires

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-2mdk
- fix provides

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.2.2-1mdk
- follow new lib policy
- 1.2.2

* Wed Aug 30 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.1-1mdk
- updated to version 1.2.1.
- updated URL.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- automatically added BuildRequires

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- v1.0.2

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-2mdk
- added url
- fixed group
- some minor package build fixes
- built against stable SDL version, previous was using 1.1.x devel

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used specfile provided by Hakan Tandogan <hakan@iconsult.com>

* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file
